### File

`packages/eui/packages/components-next/src/lib/components/atoms/eui-icon-svg/eui-icon-svg.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit`

### Metadata

selector | `span[euiIconSvg], i[euiIconSvg], eui-icon-svg`
styleUrls | `./styles/_index.scss`
template |
    <img src="assets/images/ionicons/{{icon}}{{fontSet}}.svg"
         [alt]="icon + ' icon'"
         [ngStyle]="styles"
    />

### Index

###### Properties
fontSet styles
###### Methods
getCssClasses
###### Inputs
color fillColor icon set width
###### HostBindings
class

### Constructor

`constructor()`

### Inputs

color
Type : `string`
Default value : `'default'`

fillColor
Type : `string`
Default value : `'default'`

icon
Type : `string`

set
Default value : `'default'`

width
Default value : `18`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses()`
Returns : `any`

### Properties

fontSet
Type : `string`
Default value : `''`

styles
Type : `object`
Default value : `{}`

# result-matching ""

# No results matching ""